| Earth Observation Mission CFI Software Lib Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.TimeCorrelationData Class Reference

Data structure defining timeCorrelations. More...

List of all members.

## Public Member Functions
| TimeCorrelationData ()
| Default constructor.
| TimeCorrelationData (long bulType, long formFlag, long predFirst, PolarMotionFormula polarForm, TimeCorrelationFormula timeForm, Vector< TimeData > timVec, Vector< PolarMotionParams > polarVec, LeapSecondInfo leapInf)
| Constructor with parameters.
| TimeCorrelationData (long bulType, long formFlag, long predFirst, PolarMotionFormula polarForm, TimeCorrelationFormula timeForm, Vector< TimeData > timVec, Vector< PolarMotionParams > polarVec, LeapSecondInfo leapInf, LaunchInertialFrameConfig launchInertialFrameCfg)
| Constructor with parameters.
## Public Attributes
long | iersBulletinType
| Bulletin type (XLBulletinTypeEnum).
long | iersFormulaFlag
| IERS formula enabled/disabled (IersFormulaFlagEnum).
long | predictionFirstRecord
| Indicates the 1st record belonging to bulletin A for B+A initialization (starting at 0).
PolarMotionFormula | polarMotionFormula
| Polar motion extrapolation formula parameters.
TimeCorrelationFormula | timeCorrelationFormula
| Time correlation extrapolation formula parameters.
Vector< TimeData > | timeCorrVector
| Time correlation data.
Vector< PolarMotionParams > | polarMotionParams
| Polar motion parameters.
LeapSecondInfo | leapSecond
| Leap Second info.
LaunchInertialFrameConfig | launchInertialFrameConfig
| Launch Inertial Frame Config.

## Detailed Description

Data structure defining timeCorrelations.

## Constructor & Destructor Documentation

EECFI.TimeCorrelationData.TimeCorrelationData | ( |  | ) |

Default constructor.

EECFI.TimeCorrelationData.TimeCorrelationData | ( | long | bulType,
|  | long | formFlag,
|  | long | predFirst,
|  | PolarMotionFormula | polarForm,
|  | TimeCorrelationFormula | timeForm,
|  | Vector< TimeData > | timVec,
|  | Vector< PolarMotionParams > | polarVec,
|  | LeapSecondInfo | leapInf |
| ) |  |  |

Constructor with parameters.

EECFI.TimeCorrelationData.TimeCorrelationData | ( | long | bulType,
|  | long | formFlag,
|  | long | predFirst,
|  | PolarMotionFormula | polarForm,
|  | TimeCorrelationFormula | timeForm,
|  | Vector< TimeData > | timVec,
|  | Vector< PolarMotionParams > | polarVec,
|  | LeapSecondInfo | leapInf,
|  | LaunchInertialFrameConfig | launchInertialFrameCfg |
| ) |  |  |

Constructor with parameters.

## Member Data Documentation

long EECFI.TimeCorrelationData.iersBulletinType

Bulletin type (XLBulletinTypeEnum).

long EECFI.TimeCorrelationData.iersFormulaFlag

IERS formula enabled/disabled (IersFormulaFlagEnum).

LaunchInertialFrameConfig EECFI.TimeCorrelationData.launchInertialFrameConfig

Launch Inertial Frame Config.

LeapSecondInfo EECFI.TimeCorrelationData.leapSecond

Leap Second info.

PolarMotionFormula EECFI.TimeCorrelationData.polarMotionFormula

Polar motion extrapolation formula parameters.

Vector<PolarMotionParams> EECFI.TimeCorrelationData.polarMotionParams

Polar motion parameters.

long EECFI.TimeCorrelationData.predictionFirstRecord

Indicates the 1st record belonging to bulletin A for B+A initialization (starting at 0).

TimeCorrelationFormula EECFI.TimeCorrelationData.timeCorrelationFormula

Time correlation extrapolation formula parameters.

Vector<TimeData> EECFI.TimeCorrelationData.timeCorrVector

Time correlation data.